mp3splt_2.6.2+20170630-3_i386.deb


Advertisement

Description

mp3splt - split MP3, Ogg Vorbis, or FLAC files without re-encoding

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename mp3splt_2.6.2+20170630-3_i386.deb
Package name mp3splt
Package version 2.6.2+20170630
Package release 3
Package architecture i386
Package type deb
Category implemented-in::c interface::commandline role::program scope::utility sound works-with-format::mp3 works-with-format::oggvorbis works-with::audio
Homepage http://mp3splt.sourceforge.net/
License -
Maintainer Ron Lee <ron@debian.org>
Download size 44.02 KB
Installed size 130.00 KB
This package provides the command line interface for splitting audio files at
a given begin and end time position without decoding.  If splitting an album,
you can select split points and filenames manually or read them from CDDB or
cue files.  Splitting on silence and data from Mp3Wrap or AlbumWrap is also
supported.  For mp3 files, both ID3v1 & ID3v2 tags are supported.  A GTK
interface is provided in the mp3splt-gtk package.

Alternatives

Package Version Architecture Repository
mp3splt_2.6.2+20170630-3_amd64.deb 2.6.2+20170630 amd64 Debian Main
mp3splt_2.6.2-dmo3_i386.deb 2.6.2 i386 Multimedia Main
mp3splt_2.6.2-dmo3_amd64.deb 2.6.2 amd64 Multimedia Main
mp3splt - - -

Requires

Name Value
libc6 >= 2.7
libmp3splt = 0.9.2-3

Download

Type URL
Mirror ftp.br.debian.org
Binary Package mp3splt_2.6.2+20170630-3_i386.deb
Source Package mp3splt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mp3splt deb package:
    # sudo apt-get install mp3splt

Files

Path
/usr/bin/flacsplt
/usr/bin/mp3splt
/usr/bin/oggsplt
/usr/share/doc/mp3splt/changelog.Debian.gz
/usr/share/doc/mp3splt/copyright
/usr/share/locale/cs/LC_MESSAGES/mp3splt.mo
/usr/share/locale/de_DE/LC_MESSAGES/mp3splt.mo
/usr/share/locale/es/LC_MESSAGES/mp3splt.mo
/usr/share/locale/fr_FR/LC_MESSAGES/mp3splt.mo
/usr/share/man/man1/flacsplt.1.gz
/usr/share/man/man1/mp3splt.1.gz
/usr/share/man/man1/oggsplt.1.gz

Changelog

2018-01-13 - Ron Lee <ron@debian.org>
mp3splt (2.6.2+20170630-3) unstable; urgency=medium
* Drop support for things that are deprecated and/or unmaintained in GNOME:
scrollkeeper was obsoleted by rarian, which in turn is also obsoleted now.
The build dependency on libgnomeui-dev appears to have been spurious, as
the only "gnome integration" used here is the documentation - so drop it
too because its maintainers want to remove that for the Buster release.
Closes: #885757, #885758
2017-09-27 - Ron Lee <ron@debian.org>
mp3splt (2.6.2+20170630-2) unstable; urgency=medium
* Properly zero the ogg and vorbis state structures after they are malloc'd.
This fixes the second issue that was indicated in CVE-2017-11333, which
isn't actually the fault of libvorbis.  It's caused by the libmp3splt ogg
plugin unwinding when the error in the test file is detected, and calling
vorbis_block_clear() on an uninitialised vorbis_block struct before the
call to vorbis_block_init() occurs.  Similar things would go badly for the
other uninitialised structs if this one didn't explode first.
Update: This actually fixes CVE-2017-11735, not CVE-2017-11333 mentioned
above.  There were two separate issues in the original bug report, but
I missed that they were assigned separate CVEs after reading the report
via the reference from CVE-2017-11333.  Thanks to Guido G√ľnther for
noting that they were distinct and querying which one this really fixed.
Also CVE-2017-11735 has now been REJECTED, replaced by CVE-2017-15185
which correctly attributes this issue to mp3splt not libvorbis.
2017-06-30 - Ron Lee <ron@debian.org>
mp3splt (2.6.2+20170630-1) unstable; urgency=medium
* Adopt this package now.  I was prepared to do that with the 2.2.8 bugfixes
but ended up keeping them as a locally packaged version when there was one
more maintainer upload, three years after 2.2.5.  But it's only been NMU'd
since then and was 'officially' orphaned in February, and nobody else had
picked it up or saved the mp3splt package from being removed for Stretch,
or the mp3splt-gtk package from being removed from unstable too.  So let's
resurrect them based on the work I did with cleaning this up previously.
Closes: #856294, #856296, #777433
* Build with gtk3 and gstreamer 1.0 now.  Include the FLAC plugin and PCRE
support.  Enable gnome support.
* Fix some of the issues that stronger hardening options and the stricter
checking of new toolchain releases shook out.
2010-06-13 - Ron Lee <ron@debian.org>
mp3splt (2.2.8-1) unstable; urgency=low
* Prepare a new upstream release, primarily to fix #585614 in mp3splt-gtk,
and #536027 in mp3splt.
* Ok, scratch that thought.  Entirely repackage the whole lot instead.
It's all in one source file now.  The lib doesn't look like it keeps a
stable API or does soname management, but fortunately nothing except the
two apps from the same upstream actually need it.  So make it internal
with no -dev exported, and build the whole lot in a single pass without
needing crazy hacks to look in local source dirs for a separate package.
* Profit.
2009-07-30 - Ryan Niebur <ryanryan52@gmail.com>
mp3splt (2.2.6a-1) UNRELEASED; urgency=low
* move debian/rules to the libmp3splt-dev package
* regenerate debian/control against libmp3splt 0.5.7a-1, to get the
bumped build dep
* change build dependency on debhelper to 7.0.50 instead of 7.2
* standards version 3.8.3
* remove dep on libmp3splt-plugin, moved to libmp3splt0
* suggest mp3splt-gtk
* New Upstream Version
- fix -o option fails without any '@' variable (Closes: #536027)

See Also

Package Description
mp3val_0.1.8-4_i386.deb program for MPEG audio stream validation
mp3wrap_0.5-4_i386.deb Utility for MP3 wrapping (rolling multiple MP3s into one)
mp4h_1.3.1-17_i386.deb Macro processor for HTML documents
mpack_1.6-8.2_i386.deb tools for encoding/decoding MIME messages
mpb-dev_1.7.0-5_i386.deb MIT Photonic-Bands development files
mpb-doc_1.7.0-5_all.deb MIT Photonic-Bands documentation
mpb-mpi_1.7.0-5_i386.deb MIT Photonic-Bands, parallel (mpich) version
mpb-scm_1.7.0-5_all.deb MIT Photonic-Bands initialisation files
mpb_1.7.0-5_i386.deb MIT Photonic-Bands
mpc-ace_6.4.5+dfsg-1_all.deb makefile, project, and workspace creator
mpc123_0.2.4-5_i386.deb command-line Musepack audio player
mpc_0.31-1_i386.deb command-line tool to interface MPD
mpd-sima_0.14.4-2_all.deb Automagically add titles to MPD playlist
mpd_0.21.5-3_i386.deb Music Player Daemon
mpdas_0.4.5-1_i386.deb AudioScrobbler client for MPD
Advertisement
Advertisement